package metadata_inventory_repository;

import java.sql.ResultSetMetaData;

import metadata_inventory.Attribute;
import metadata_model_mechanism.ListOfMapper;

public interface SQLSyntax {
	
	public abstract String getSelect();
	public abstract String getSelect(boolean useAs, ListOfMapper mappers); 
	public abstract String getSelect(int limit, boolean useAs, ListOfMapper  mappers);
	public abstract String getSelect(boolean useAs);
	
	public abstract String getSelectAll();
	
	public abstract String uniontoString(boolean useAs);
	
	public abstract String getCreate(String metadataSelect);
	public abstract String getCreate(ResultSetMetaData metadataModel);
	
	public abstract String getAlter(ListOfMapper mappers);
	
	public abstract String getTypeColumnToEspecificDB(Attribute column);
	
	public abstract String getTypeDBToEspecificDB(String type);
	
	
	public abstract String getDrop();
	public abstract String getInsert();
	public abstract String getInsert(ListOfMapper mappers);
	

	public String fieldstoString(boolean useAs, boolean completeName,ListOfMapper mappers);
	
	public abstract String getFieldCompleteName(Field field);
	
	public abstract String wheretoString();	
	public abstract String jointoString();	
	public abstract String orderBytoString();
	public abstract String groupBytoString();	
	public abstract String havingtoString();
	
	

	
	

}
