
package metadata_inventory_repository;

import java.sql.*;

public abstract class AbstractRepositoryRelational extends AbstractRepositoryJDBC  {
	
	
	private String server = "";
	private int port = 0;	
    public abstract int getDefaultPort();
    
    
	public AbstractRepositoryRelational(String server, String repositoryName, String user,String password, int port) {
		super(repositoryName, user, password);
		
		this.server = server;		
		this.port = port;		
		
	}
	
	public AbstractRepositoryRelational(String server, String repositoryName, String user,String password) {
		super(repositoryName, user, password);
		
		this.server = server;		
		this.port = this.getDefaultPort();		
		
	}

    
	public String getServer() {
		return server;
	}

	public void setServer(String server) {
		this.server = server;
	}

	public int getPort() {
		return port;
	}

	public void setPort(int port) {
		this.port = port;
	}
	

  


}
