package metadata_model_mechanism;


import java.util.ArrayList;
import java.util.List;

public class ListOfParams {
	
	private List<Params> params = new ArrayList<Params>();	
		
	
	public int size() {
		
		return this.params.size();
	}
	
	
	public void add(Params p) {
		this.params.add(p);
	}

	
	public Params get(int x) {
	
		return this.params.get(x);
	}
	
	
	public AbstractMechanism getMechanism(int x) {
		
		return this.params.get(x).getMechanism();
	}

	
	public void settMechanism(AbstractMechanism mechanism) {
		
		this.settMechanism(mechanism);
	}
	
			
	
	public String getParamStrItem(int iParam, int iItem) {
		return  this.params.get(iParam).getItem(iItem);
	}
	
	
	
	public int findItemByValue(int item, String value) {
		
		for (int x = 0; x < this.params.size(); x++) {
			
			if (params.get(x).getItem(item).equalsIgnoreCase(value.toString())) {
				return x;				
			}
			
		}
		
		return -1;		
	}
	
	
	public AbstractMechanism findIMechanismByValue(String value) {
		
		for (int x = 0; x < this.params.size(); x++) {
			
			if (params.get(x).getItem(0).equalsIgnoreCase(value.toString())) {
				return params.get(x).getMechanism();
			}
			
		}
		
		return null;		
	}
	
	
	
	public Params findParamByValue(String value, int itemIndex) {
		
		for (int x =0;x < this.params.size();x++) {
			
			if (this.params.get(x).getItem(itemIndex).equalsIgnoreCase(value))
				return this.params.get(x);		
			
		}
				
		return null;				
	}
	
	
	
	

}
