package metadata_model_mechanisms_common;

import java.sql.ResultSet;

import frametl.FramETL;

import metadata_inventory.SchemaData;
import metadata_model_general.Job;
import metadata_model_mechanism.AbstractMechanism;
import metadata_model_mechanism.AbstractMechanismUnary;
import metadata_model_mechanism.ListOfMapper;
import metadata_model_mechanism.Mapper;
import metadata_model_mechanism.Params;
import metadata_model_mechanism.RowControl;


public class Filter extends AbstractMechanismUnary {
	
		
	public Filter( Job jobOwner) {
		super(jobOwner, "", "");
	}

	
	public Filter(Job jobOwner, AbstractMechanism transInput) {
		super(jobOwner, "", "",transInput, null);
	}
	
	final public static String OPERATION_IGUAL = "="; 
	final public static String OPERATION_DIFERENT = "<>";	
	final public static String OPERATION_LESS = "<";
	final public static String OPERATION_GREATER = ">";
	final public static String OPERATION_LESS_EQUAL = "<=";
	final public static String OPERATION_GREATER_EQUAL = ">=";
	final public static String OPERATION_IS = "IS";
	final public static String OPERATION_NOT_IS = "NOT IS";
		
	public void addParam(String fieldExpression, String operator, String value) {			
		Params param = new Params();
		
		param.addItem(fieldExpression);
		param.addItem(operator);
		param.addItem(value);
		
		this.addParam(param);		
	}
		
	@Override
	public void onOpenDataSet() {
	
		for (int x = 0; x < params.size(); x++) {			
			this.getInputSqlElements().addWhereFilter(this.params.get(x).getItem(0),this.params.get(x).getItem(1),this.params.get(x).getItem(2));			
			
		}
	}

	@Override
	public void onFinish(AbstractMechanism transf) {
	
	}

	@Override
	public void onStart(AbstractMechanism transf) {
	
	}

	@Override
	public void forEachInputtRow(ListOfMapper mappers, RowControl rowControl) {
	
	}

	@Override
	public void onMapping(Mapper currentMap) {

		
	}



	
	@Override
	public void init() {

	}
	

}
