package processETL_DWSales;

import metadata_model_mechanism.MechanismEvents;
import metadata_model_mechanism.AbstractMechanism;
import metadata_model_mechanism.ListOfMapper;
import metadata_model_mechanism.Mapper;
import metadata_model_mechanism.RowControl;

public class ScriptDataFormat implements MechanismEvents {
		
	public void onMapping(Mapper currentMap) {
		
		if (currentMap.getColumn_out().getName().equalsIgnoreCase("DATA")) {
			
			String cData = currentMap.getColumn_in().getData_value();
			
			String c =  cData.substring(8,10) + "/" + cData.substring(5,7) + "/" + cData.substring(2,4);
			
			currentMap.getColumn_out().setData_value(c);
		}
	}
		
	public void onFinish(AbstractMechanism transf) {}
	
	public void onStart(AbstractMechanism transf) {}
	
	public void forEachInputtRow(ListOfMapper mappers, RowControl rowControl) {}
	
	public void onOpenDataSet() {}
}
